data:extend({
  {
    type = "recipe-category",
    name = "oil-drill"
  },

{
    type = "assembling-machine",
    name = "oil-drill",
    icon = "__more_oil-production__/graphics/oil-drill-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "oil-drill"},
    max_health = 100,
    corpse = "medium-remnants",
    collision_box = {{ -0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{ -1, -1}, {1, 1}},

    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      },
    },
    crafting_categories = {"oil-drill"},
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    module_specification =
    {
      module_slots = 1,
    },
    crafting_speed = 0.5,
    ingredient_count = 1,
    energy_usage = "3.5MW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.015 / 1.5
    },
 fluid_boxes =
    {
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections =
		{
			{
			positions = { {-1, -2}, {2, -1}, {1, 2}, {-2, 1} }
			}
		}
	  }
    },
    animation =
    {
      north =
      {
        priority = "extra-high",
        width = 110,
        height = 76,
        shift = {0.6875, -0.09375},
		frame_count = 1,
        filename = "__more_oil-production__/graphics/north.png"
      },
      east =
      {
        priority = "extra-high",
        width = 94,
        height = 74,
        shift = {0.4375, -0.09375},
		frame_count = 1,
        filename = "__more_oil-production__/graphics/east.png"
      },
      south =
      {
        priority = "extra-high",
        width = 89,
        height = 88,
        shift = {0.40625, 0},
		frame_count = 1,
        filename = "__more_oil-production__/graphics/south.png"
      },
      west =
      {
        priority = "extra-high",
        width = 91,
        height = 78,
        shift = {0.09375, -0.0625},
		frame_count = 1,
        filename = "__more_oil-production__/graphics/west.png"
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      },
    },
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}}
  }
})